
Redmine - Feature #4398

Author Issue-filter only contains members even when non-members have 'create issue' permission

2009-12-14 22:57 - Mischa The Evil

Status: Closed Start date: 2009-12-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

From Eric Davis over IRC:

if non-members are allowed to create issues, Issue Filters > Author should list non-members too

Related issues:

Is duplicate of Redmine - Feature #1875: Issue filtering on author only uses ... New 2008-09-09

History

#1 - 2009-12-29 15:56 - Jean-Philippe Lang

We can not list all users in this field, we need to change this filter to an auto-complete field first.

#2 - 2009-12-29 22:48 - Mischa The Evil

Jean-Philippe Lang wrote:

We can not list all users in this field (...)

 Agreed! :)

#3 - 2010-01-18 13:39 - Nick Fitzgerald

+1

Just discovered this issue myself.

#4 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#5 - 2011-05-30 10:46 - Etienne Massip

- Target version set to Candidate for next major release

#6 - 2013-07-02 00:01 - Gabriel Mazetto

Any update on this? We should consider it a defect rather then a feature... as the expected behaviour is currently not being matched by the actual

code.

#7 - 2015-11-02 14:23 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

I close as duplicate of #4398.

#8 - 2015-11-02 14:23 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

I close as duplicate of #4398.
 Sorry, it is #1875.

#9 - 2015-11-02 14:23 - Toshi MARUYAMA

- Is duplicate of Feature #1875: Issue filtering on author only uses members of project added

#10 - 2015-11-13 04:45 - Alexey Poliansky

173c177,183

<     author_values += users.collect{|s| [s.name, s.id.to_s] }

---

>    if project 

>      project.issues.group(:author_id).each{|i| author_values << [i.author.name, i.author_id.to_s]}

>      else

>      author_values += users.collect{|s| [s.name, s.id.to_s] }

>      end

Add only authors to filter list, if neccessary.

not contain subprojects yet, but it's also possible

#11 - 2015-11-15 08:20 - Alexey Poliansky

I select all authors from issues in last half of year and preload authors objects

173c174,182

<     author_values += users.collect{|s| [s.name, s.id.to_s] }

---

>    if project 

>       time_range = (Time.now - (3600*24*180))..(Time.now)

>       author_values += project.issues.where(issues: { created_on: time_range }).group(:author_id).preload(:a

uthor).collect{|s| [s.author.name, s.author_id.to_s]}

>      author_values.sort!

>      else

>      author_values += users.collect{|s| [s.name, s.id.to_s] }

>      end

works fast and useful for control workflow projects
